# Single Sends

We'll mainly discuss the primary integration method for Panacea Mobile SMS Gateway (PM-SMS) called the "Message Send" endpoint.\
\
It's the go-to option for sending individual messages.

### message\_send()

This method is for sending a single transactional message.\
\
Examples of this could be sending a verification code to a user via SMS or another similar type of notification.

<mark style="color:green;">`GET`</mark> [`/https://eu-api.panaceamobile.com/json?`](#message_send)

{% hint style="warning" %}
Please reach out to your Account Manager or Support to confirm your API URL as this may vary depending on your specific account configuration.&#x20;
{% endhint %}

**Parameters**

<table><thead><tr><th width="277">HTTPS GET Parameters</th><th width="167">Type</th><th>Description</th></tr></thead><tbody><tr><td><strong><code>action</code></strong></td><td>message_send</td><td>Set to message_send for this endpoint</td></tr><tr><td><strong><code>username</code></strong></td><td>userx</td><td>Your account username</td></tr><tr><td><strong><code>password</code></strong></td><td>passwordy</td><td>Your account password</td></tr><tr><td><strong><code>to</code></strong></td><td>27821230000</td><td>Destination phone number</td></tr><tr><td><strong><code>from</code></strong></td><td>12345</td><td>Sender ID – this can be any value and can be used as an internal reference</td></tr><tr><td><strong><code>text</code></strong></td><td>This is your SMS text</td><td>URL Encoded message text content</td></tr><tr><td><code>client_reference</code></td><td>REF12300089</td><td>Customer provided reference (Optional)</td></tr><tr><td><code>charset</code></td><td></td><td>Defaults to GSM-7 bit (Advanced)</td></tr><tr><td><code>auto_detect_encoding</code></td><td></td><td>Default to “yes”, this ensures that is special characters are used the system will encode the message correctly. This may incur extra costs.</td></tr><tr><td><code>report_mask</code></td><td></td><td>Defaults to 19, only used with report_url</td></tr><tr><td><code>report_url</code></td><td></td><td><p>If provided, PM-SMS system will ping back to</p><p>this URL with message delivery status.</p></td></tr><tr><td><code>verbose</code></td><td>1</td><td>Set to <code>1</code> to get additional details in the API response.<br><br><em>*Please contact your Account Manager or Support to verify if this feature is available for your account configuration.</em></td></tr></tbody></table>

{% hint style="warning" %}
**BOLD PARAMETERS ARE MANDATORY**
{% endhint %}

#### Example API Call:

```
https://eu-api.panaceamobile.com/json?action=message_send&username=userx&password=passwordy&to=27820123456&from=12345&text=URL+encoded+text+string&client_reference=REF12345
```

#### Example Output:

{% tabs %}
{% tab title="200" %}

```html
{
"status":1,"message":"Sent","details":"8beda1a8-5c12-489f-0107-123000000003"
}
```

{% endtab %}
{% endtabs %}

***

For developers looking for practical implementation guidance, please visit our **Examples** page. Here, you'll find a comprehensive collection of code samples tailored to help you integrate and use our HTTPS API effectively.

{% content-ref url="/pages/ne2mxI3hQBIJ2JIGt8V0" %}
[Examples](/panacea-mobile-help-centre/developers/https-api/examples.md)
{% endcontent-ref %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://panaceamobile.gitbook.io/panacea-mobile-help-centre/developers/https-api/single-sends.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
